## r-cran-spdl 0.0.4

=== DESCRIPTION ===
Package: spdl
Type: Package
Title: Wrapper for 'RcppSpdlog' Functions
Description: Logging functions in 'RcppSpdlog' provide access to the logging
 functionality from the 'spdlog' 'C++' library. This package offers shorter convenience
 wrappers for the 'R' functions which match the 'C++' functions, namely via, say,
 'spdl::debug()' at the debug level. The actual formatting is done by the
 'fmt::format()' function from the 'fmtlib' library (that is also 'std::format()'
 in 'C++20' or later).
Version: 0.0.4
Date: 2023-01-08
Authors@R: person("Dirk", "Eddelbuettel", role = c("aut","cre"), email = "edd@debian.org")
License: GPL (>= 2)
Imports: RcppSpdlog (>= 0.0.11)
URL: https://github.com/eddelbuettel/spdl
BugReports: https://github.com/eddelbuettel/spdl/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2023-01-08 18:45:41 UTC; edd
Author: Dirk Eddelbuettel [aut, cre]
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2023-01-08 19:30:02 UTC

## r-cran-spdl 0.0.3

=== debian/changelog ===
r-cran-spdl (0.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 14 Dec 2022 17:41:15 -0600

r-cran-spdl (0.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Dec 2022 15:16:23 -0600

r-cran-spdl (0.0.1-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1024628)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Nov 2022 07:23:23 -0600

=== debian/control ===
Source: r-cran-spdl
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcppspdlog
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-spdl
Vcs-Git: https://salsa.debian.org/edd/r-cran-spdl.git
Homepage: https://cran.r-project.org/package=spdl

Package: r-cran-spdl
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-rcppspdlog
Description: GNU R package to Wrap RcppSpdlog Functions
 Logging functions in 'RcppSpdlog' provide access to the logging
 functionality from the 'spdlog' 'C++' library. This package offers
 shorter convenience wrappers for the 'R' functions which match the
 'C++' functions, namely via, say, 'spdl::debug()' at the debug
 level. The actual formatting is done by the 'fmt::format()' function
 from the 'fmtlib' library (that is also 'std::format()' in 'C++20' or
 later).

## r-cran-spdl 0.0.4

=== debian/changelog ===
r-cran-spdl (0.0.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Jan 2023 13:58:26 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcppspdlog
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spdl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spdl.git
 Homepage: https://cran.r-project.org/package=spdl

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-spdl package
# Copyright 2003 - 2022 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/spdl_([-\d\.]*)\.tar.gz

## r-cran-spdl 0.0.5

=== DESCRIPTION ===
Package: spdl
Type: Package
Title: Easier Use of 'RcppSpdlog' Functions via Wrapper
Description: Logging functions in 'RcppSpdlog' provide access to the logging
 functionality from the 'spdlog' 'C++' library. This package offers shorter convenience
 wrappers for the 'R' functions which match the 'C++' functions, namely via, say,
 'spdl::debug()' at the debug level. The actual formatting is done by the
 'fmt::format()' function from the 'fmtlib' library (that is also 'std::format()'
 in 'C++20' or later).
Version: 0.0.5
Date: 2023-06-18
Authors@R: person("Dirk", "Eddelbuettel", role = c("aut","cre"), email = "edd@debian.org")
License: GPL (>= 2)
Imports: RcppSpdlog (>= 0.0.13)
URL: https://github.com/eddelbuettel/spdl
BugReports: https://github.com/eddelbuettel/spdl/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2023-06-18 12:12:50 UTC; edd
Author: Dirk Eddelbuettel [aut, cre]
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2023-06-18 12:40:02 UTC

=== debian/changelog ===
r-cran-spdl (0.0.5-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jun 2023 07:20:21 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, r-cran-rcppspdlog
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-rcppspdlog
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-spdl
 Vcs-Git: https://salsa.debian.org/edd/r-cran-spdl.git
